 //////////////////////////////////////////////////////////////////////////////
//
// Syntax Highlighter, v1.0. Copyright  1998 Midnight Beach, all rights
// reserved. Reads C++ and Pascal source from the clipboard, writes it back
// syntax highlighted in HTML and RTF. Feel free to use the executable however
// you like, without any royalties or licensing. Please do NOT redistribute
// the executable, though - I would like the sole source to stay
// "http://www.midnightbeach.com/ftp_page/SyntaxHighlighter.html". Similarly,
// feel free to modify the source as you wish, but please do not redistribute
// the original source or any changes which you make. Questions and/or comments
// to jon@midnightbeach.com
//

//---------------------------------------------------------------------------
#ifndef utilitiesH
#define utilitiesH

#include <string>
using std::string;

string IntToString(int I, unsigned int MinDigits = 0, unsigned int Radix = 10);

class TWaitCursor
{
  public:
    TWaitCursor() :
      oldc(Screen->Cursor) { Screen->Cursor = crHourGlass; }
    TWaitCursor(TCursor Cursor) :
      oldc(Screen->Cursor) { Screen->Cursor = Cursor; }
    ~TWaitCursor()
                           { Screen->Cursor = oldc; }
  private:
    TCursor oldc;
};

//---------------------------------------------------------------------------
#endif

