 //////////////////////////////////////////////////////////////////////////////
//
// Syntax Highlighter, v1.0. Copyright  1998 Midnight Beach, all rights
// reserved. Reads C++ and Pascal source from the clipboard, writes it back
// syntax highlighted in HTML and RTF. Feel free to use the executable however
// you like, without any royalties or licensing. Please do NOT redistribute
// the executable, though - I would like the sole source to stay
// "http://www.midnightbeach.com/ftp_page/SyntaxHighlighter.html". Similarly,
// feel free to modify the source as you wish, but please do not redistribute
// the original source or any changes which you make. Questions and/or comments
// to jon@midnightbeach.com
//

//---------------------------------------------------------------------------
#ifndef FormatsH
#define FormatsH

enum TokenTypes {Normal, Keyword, Number, CharConst, Comment, Pragma, Unknown};

#define Low_TokenTypes  Normal
#define High_TokenTypes Unknown

#define SettableTokenCount Unknown

struct SyntaxFormat {
       bool   Bold;
       bool   Italic;
       bool   Underline;
       TColor Color;
};

extern SyntaxFormat SyntaxFormats[SettableTokenCount];

//---------------------------------------------------------------------------
#endif

