 //////////////////////////////////////////////////////////////////////////////
//
// Syntax Highlighter, v1.0. Copyright  1998 Midnight Beach, all rights
// reserved. Reads C++ and Pascal source from the clipboard, writes it back
// syntax highlighted in HTML and RTF. Feel free to use the executable however
// you like, without any royalties or licensing. Please do NOT redistribute
// the executable, though - I would like the sole source to stay
// "http://www.midnightbeach.com/ftp_page/SyntaxHighlighter.html". Similarly,
// feel free to modify the source as you wish, but please do not redistribute
// the original source or any changes which you make. Questions and/or comments
// to jon@midnightbeach.com
//

//---------------------------------------------------------------------------
#ifndef PopupFormH
#define PopupFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>

#include "utilities.h"
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
class TPopup : public TForm
{
  __published:	// IDE-managed Components
    TRichEdit *SourceWindow;
    TTimer *Timer;
    void __fastcall TimerTimer(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall SourceWindowResizeRequest(TObject *Sender, TRect &Rect);

        void __fastcall FormCreate(TObject *Sender);
  private:	// User declarations
    int StartHeight;
    int StartWidth;

  public:		// User declarations
    __fastcall TPopup(TComponent* Owner);
    void ShowHighlitSource(unsigned int Duration);
};

//---------------------------------------------------------------------------
extern PACKAGE TPopup *Popup;
//---------------------------------------------------------------------------
#endif

