 //////////////////////////////////////////////////////////////////////////////
//
// Syntax Highlighter, v1.0. Copyright  1998 Midnight Beach, all rights
// reserved. Reads C++ and Pascal source from the clipboard, writes it back
// syntax highlighted in HTML and RTF. Feel free to use the executable however
// you like, without any royalties or licensing. Please do NOT redistribute
// the executable, though - I would like the sole source to stay
// "http://www.midnightbeach.com/ftp_page/SyntaxHighlighter.html". Similarly,
// feel free to modify the source as you wish, but please do not redistribute
// the original source or any changes which you make. Questions and/or comments
// to jon@midnightbeach.com
//

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("SyntaxHighlighter.res");
USEFORM("CtrlPanel.cpp", ControlPanel);
USEUNIT("Convert.cpp");
USEUNIT("Formats.cpp");
USEUNIT("utilities.cpp");
USEFORM("PopupForm.cpp", Popup);
USEFORM("AboutForm.cpp", About);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
     Application->Initialize();
     Application->Title = "Syntax Highlighter";
     SetWindowLong(Application->Handle, GWL_EXSTYLE, WS_EX_TOOLWINDOW);
     Application->CreateForm(__classid(TControlPanel), &ControlPanel);
                 Application->CreateForm(__classid(TPopup), &Popup);
                 Application->Run();
  }
  catch (Exception &exception)
  {
     Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------

